import Router, { Request, Response, Handler } from "./router.js";
import Tpl from "./template.js";
export { Router, Tpl, Request, Response, Handler };
export default class Flummpress {
    private server?;
    private container;
    private middleware;
    router: Router;
    constructor();
    use<T>(plugin: new (...args: any[]) => T | Router | Handler, factory?: () => T): this;
    get<T>(type: new (...args: any[]) => T): T;
    private processPipeline;
    listen(...args: any[]): this;
    private parseRequest;
    private readBody;
    private createResponse;
}
